From: "Dennis Lamm" <expeditioneer@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-gfx/cura/
Date: Thu, 10 Jun 2021 17:41:01 +0000 (UTC) [thread overview]
Message-ID: <1623346852.a32c3cd7e73ebc0f1febc56abdf40944cc9ef506.expeditioneer@gentoo> (raw)
commit: a32c3cd7e73ebc0f1febc56abdf40944cc9ef506
Author: Mathy Vanvoorden <mathy <AT> vanvoorden <DOT> be>
AuthorDate: Mon Jun 7 16:02:52 2021 +0000
Commit: Dennis Lamm <expeditioneer <AT> gentoo <DOT> org>
CommitDate: Thu Jun 10 17:40:52 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a32c3cd7
media-gfx/cura: Version bump to 4.9.1
Closes: https://bugs.gentoo.org/793803
Closes: https://bugs.gentoo.org/731274
Package-Manager: Portage-3.0.19, Repoman-3.0.3
Signed-off-by: Mathy Vanvoorden <mathy <AT> vanvoorden.be>
Closes: https://github.com/gentoo/gentoo/pull/21150
Signed-off-by: Dennis Lamm <expeditioneer <AT> gentoo.org>
media-gfx/cura/Manifest | 1 +
media-gfx/cura/cura-4.9.1.ebuild | 71 ++++++++++++++++++++++++++++++++++++++++
2 files changed, 72 insertions(+)
diff --git a/media-gfx/cura/Manifest b/media-gfx/cura/Manifest
index 5dfea09d774..f77b0cbd1af 100644
--- a/media-gfx/cura/Manifest
+++ b/media-gfx/cura/Manifest
@@ -1 +1,2 @@
DIST cura-4.8.0.tar.gz 31930258 BLAKE2B 0a10a03f5fa34ec0279b9476063f71d8ae904e05485b84fac011fa5061812cd74f4be6df7e6d93046365799fc2fb1bcf4d10d89c69d2c8455080f99c12cec153 SHA512 0a34438299908021242e47e74418e56fe61c41cff5c29df938b4705b5d23ceb6e1bd17b9eb8110f8ec75c7a08afe8928857d4f2fd5befa00c187bce717105711
+DIST cura-4.9.1.tar.gz 47870392 BLAKE2B 2471c8461f73ad2343f4c3315994c5f63781ae1e49cb4699cd66e7e77c25a93916931fbaa6598c4144707dbc7778c902dad3a25839c0523aaf51ed39aacd2463 SHA512 436b8e33514de67d6d680fe59ab9599a75a86caa7e63fbcd05297b12a435483ec0c9ca90557fe23f25590a24e533294915fc18a665fd5cdb77fcc3a05a9076bf
diff --git a/media-gfx/cura/cura-4.9.1.ebuild b/media-gfx/cura/cura-4.9.1.ebuild
new file mode 100644
index 00000000000..8c8c80d0005
--- /dev/null
+++ b/media-gfx/cura/cura-4.9.1.ebuild
@@ -0,0 +1,71 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=(python3_{7..9})
+inherit cmake desktop python-single-r1 xdg
+
+MY_PN=Cura
+
+DESCRIPTION="A 3D model slicing application for 3D printing"
+HOMEPAGE="https://github.com/Ultimaker/Cura"
+SRC_URI="https://github.com/Ultimaker/${MY_PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="LGPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="debug +usb zeroconf"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+BDEPEND="sys-devel/gettext"
+RDEPEND="${PYTHON_DEPS}
+ ~dev-libs/libarcus-${PV}:=[python,${PYTHON_SINGLE_USEDEP}]
+ ~dev-libs/libcharon-${PV}[${PYTHON_SINGLE_USEDEP}]
+ ~dev-libs/libsavitar-${PV}:=[python,${PYTHON_SINGLE_USEDEP}]
+ ~dev-python/pynest2d-${PV}[${PYTHON_SINGLE_USEDEP}]
+ ~dev-python/uranium-${PV}[${PYTHON_SINGLE_USEDEP}]
+ ~media-gfx/curaengine-${PV}
+ ~media-gfx/fdm-materials-${PV}
+ dev-qt/qtquickcontrols[widgets]
+ $(python_gen_cond_dep '
+ dev-python/importlib_metadata[${PYTHON_MULTI_USEDEP}]
+ dev-python/keyring[${PYTHON_MULTI_USEDEP}]
+ dev-python/mypy[${PYTHON_MULTI_USEDEP}]
+ dev-python/numpy[${PYTHON_MULTI_USEDEP}]
+ dev-python/PyQt5[-debug,${PYTHON_MULTI_USEDEP}]
+ dev-python/PyQt5-sip[${PYTHON_MULTI_USEDEP}]
+ dev-python/requests[${PYTHON_MULTI_USEDEP}]
+ dev-python/sentry-sdk[${PYTHON_MULTI_USEDEP}]
+ sci-libs/shapely[${PYTHON_MULTI_USEDEP}]
+ usb? ( dev-python/pyserial[${PYTHON_MULTI_USEDEP}] )
+ zeroconf? ( dev-python/zeroconf[${PYTHON_MULTI_USEDEP}] )
+ ')"
+DEPEND="${RDEPEND}"
+
+DOCS=(README.md)
+S="${WORKDIR}/${MY_PN}-${PV}"
+
+src_prepare() {
+ sed -i -e "s:lib\${LIB_SUFFIX}/python\${Python3_VERSION_MAJOR}.\${Python3_VERSION_MINOR}/site-packages:$(python_get_sitedir):g" CMakeLists.txt || die
+
+ cmake_src_prepare
+}
+
+src_configure() {
+ # trimesh not available in portage
+ local mycmakeargs=(
+ -DCURA_BUILDTYPE="ebuild"
+ -DCURA_VERSION=${PV}
+ -DCURA_NO_INSTALL_PLUGINS="AMFReader;Toolbox;TrimeshReader"
+ -DCURA_DEBUGMODE=$(usex debug)
+ )
+ cmake_src_configure
+}
+
+src_install() {
+ cmake_src_install
+ doicon icons/*.png
+ python_fix_shebang "${D}/usr/bin/cura"
+ python_optimize "${D}${get_libdir}"
+}
next reply other threads:[~2021-06-10 17:41 UTC|newest]
Thread overview: 41+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-06-10 17:41 Dennis Lamm [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-07-09 10:52 [gentoo-commits] repo/gentoo:master commit in: media-gfx/cura/ Matthew Smith
2022-05-09 7:00 Michał Górny
2022-05-08 19:59 Sam James
2022-05-08 8:47 Michał Górny
2022-03-10 21:21 Jakov Smolić
2022-03-05 11:54 Matthew Smith
2022-03-05 11:54 Matthew Smith
2022-02-28 19:43 Matthew Smith
2022-02-28 19:43 Matthew Smith
2022-02-13 22:38 Jakov Smolić
2022-02-11 20:25 Arthur Zamarin
2021-11-10 19:44 Jonas Stein
2021-02-07 23:57 Dennis Lamm
2021-02-07 23:57 Dennis Lamm
2020-12-14 0:46 Sam James
2020-11-30 18:37 Dennis Lamm
2020-11-30 18:37 Dennis Lamm
2020-11-30 18:37 Dennis Lamm
2020-10-11 11:25 Dennis Lamm
2020-10-07 0:59 Sam James
2020-10-07 0:59 Sam James
2020-10-07 0:59 Sam James
2020-10-07 0:59 Sam James
2020-09-19 16:34 Sam James
2020-05-25 21:04 Alexey Shvetsov
2020-02-09 16:29 Michał Górny
2019-10-16 5:22 Joonas Niilola
2019-01-02 22:05 Amy Liffey
2019-01-02 21:52 Amy Liffey
2018-07-16 17:29 Amy Liffey
2018-06-14 20:14 Alexey Shvetsov
2018-04-15 14:06 Amy Liffey
2018-04-03 15:28 Jonas Stein
2017-11-26 23:02 David Seifert
2017-07-23 11:05 Alexey Shvetsov
2017-04-23 20:48 Michał Górny
2016-08-08 1:49 Göktürk Yüksek
2016-08-08 1:49 Göktürk Yüksek
2016-05-22 17:05 Göktürk Yüksek
2016-04-29 11:35 Alexey Shvetsov
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1623346852.a32c3cd7e73ebc0f1febc56abdf40944cc9ef506.expeditioneer@gentoo \
--to=expeditioneer@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox